<?php
class ListItemAction extends wtActions
{
    public function execute()
    {
        LayoutTemplate::getInstance()->setUseBootstrap();
        
        $this->block     = $this->getRequestParameter( 'block' );
        $this->type      = $this->getRequestParameter( 'type' );
        $this->IdAlmacen = $this->getRequestParameter( 'IdAlmacen' );
        $this->i_Id      = $this->getRequestParameter( 'i_Id' );
        
        $this->moneda_cod   = $this->getRequestParameter( 'moneda_cod' );
        $this->id_adicional = $this->getRequestParameter( 'id_adicional' );

        $this->module    = $this->getRequestParameter( 'module' ) ? $this->getRequestParameter( 'module' ) : "pro";
        $this->controler = $this->getRequestParameter( 'controler' ) ? $this->getRequestParameter( 'controler' ) : "saveDetailCustom";
        
        //$o_ALM_ItemTipoFN = new ALM_ItemTipoFN();
        //$this->a_ALM_ItemTipo = $o_ALM_ItemTipoFN->select();
        
        $o_MST_ClaseLineaFN = new MST_ClaseLineaFN();
        $this->a_MST_ClaseLinea = $o_MST_ClaseLineaFN->select();
        
        $o_ALM_MarcaFN = new ALM_MarcaFN();
        $o_ALM_MarcaFN->setEstado( "A" );
        $o_ALM_MarcaFN->addOrderBy( ALM_MarcaFN::DescripcionLocal );
        $this->a_ALM_Marca = $o_ALM_MarcaFN->select();

        $o_MST_ColorFN = new MST_ColorFN();
        $o_MST_ColorFN->setEstado( MST_ColorBN::ESTADO_ACTIVO );
        $o_MST_ColorFN->addOrderBy( "substr(Codigo,1,1)" );
        $o_MST_ColorFN->addOrderBy( "cast(substr(Codigo,2,10) as UNSIGNED)" );
        $this->a_MST_Color = $o_MST_ColorFN->select();

        $o_MST_CategoriaTallaFN = new MST_CategoriaTallaFN();
        $o_MST_CategoriaTallaFN->setEstado( MST_CategoriaTallaBN::ESTADO_ACTIVO );
        $this->a_MST_CategoriaTalla = $o_MST_CategoriaTallaFN->select();

        $o_MST_TallaFN = new MST_TallaFN();
        $o_MST_TallaFN->setEstado( MST_TallaBN::ESTADO_ACTIVO );
        $this->a_MST_Talla = $o_MST_TallaFN->select();
    }
}